/*! \file ds1621.h \brief Obsluga termometru DS1621 przez I2C */
/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */
 
#ifndef _DS1621_H_
#define _DS1621_H_

// Command set
#define DS1621_READTEMP		0xAA
#define DS1621_SETCONFIG	0xAC
#define DS1621_STARTCONVERT	0xEE
#define DS1621_STOPCONVERT	0x22

// Configuration bits
#define DS1621_CONF_DONE	7
#define DS1621_CONF_THF		6
#define DS1621_CONF_TLF		5
#define DS1621_CONF_NVB		4
#define DS1621_CONF_POL		1
#define DS1621_CONF_1SHOT	0

static int ds1621_standalone_cmd(BYTE ucDevice, BYTE ucCmd);
static int ds1621_write_reg(BYTE ucDevice, BYTE ucCmd, BYTE* ucReg, BYTE ucLen);
static int ds1621_read_reg(BYTE ucDevice, BYTE ucCmd, BYTE* ucReg, BYTE ucLen);
int ds1621_read_temp(BYTE ucDevice, BYTE* ucTemp);
int ds1621_set_config(BYTE ucDevice, BYTE ucConfig);
int ds1621_read_config(BYTE ucDevice, BYTE* ucConfig);
int ds1621_start_convert(BYTE ucDevice);
int ds1621_stop_convert(BYTE ucDevice);

int ds1621_temperatura(void);

#endif
