/*
 *	harddef.h
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#ifndef _HARDDEF_H_
#define _HARDDEF_H_

#ifndef cbi
#define cbi(sfr, bit) (_SFR_BYTE(sfr) &= ~_BV(bit))
#endif

#ifndef sbi
#define sbi(sfr, bit) (_SFR_BYTE(sfr) |= _BV(bit))
#endif

#ifndef inb
#define inb(sfr) _SFR_BYTE(sfr) 
#endif

#ifndef outb
#define outb(sfr, val) (_SFR_BYTE(sfr) = (val))
#endif

#ifndef inw
#define inw(sfr) _SFR_WORD(sfr)
#endif

#ifndef outw
#define outw(sfr, val) ( _SFR_WORD(sfr) = (val)) 
#endif

#ifndef outp
#define outp(val, sfr) outb(sfr, val) 
#endif

#ifndef inp
#define inp(sfr) inb(sfr) 
#endif

#ifndef BV
#define BV(bit) _BV(bit)
#endif

#ifndef WIN32

// more type redefinitions
typedef unsigned char   BOOL;
typedef unsigned char	BYTE;
typedef unsigned int	WORD;
typedef unsigned long	DWORD;

typedef unsigned char	UCHAR;
typedef unsigned int	UINT;
typedef unsigned short  USHORT;
typedef unsigned long	ULONG;

typedef char		CHAR;
typedef int		INT;
typedef long		LONG;

#endif

#define TRUE	1
#define FALSE	0

/* Czestotliwosc zegara procesora w Hz */
#define F_CPU 8000000

/* Szybkosc magistrali I2c w kHz */
#define I2C_SPEED 100

#define CYCLES_PER_US ((F_CPU+500000)/1000000)

/* Szybkosc lacza RS232 w bps */
#define DEF_BAUD 9600

/* Adres bazowy DS1621 i ustalany zworkami - 111 = 0x07 */
#define DS1621_ADDR (0x48 | 0x07)

/* Wersja programu */
#define SOFTWARE_VERSION "0.1"

/* Numer przerwania odbiornika IR */
#define RC5_INT RC5_INT0

/* Port przyciskow i piny przyciskow */
#define SWPIN PIND
#define SW1 3
#define SW2 4

#endif 
