/*! \file i2ceeprom.c \brief Obsluga zewnetrznego EEPROMU */
/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#include "i2c.h"
#include "i2ceeprom.h"

int ee_read(BYTE ucDevice, BYTE* ucAddr, BYTE* ucData, BYTE ucLen)
{
	int iRetVal = 0;

	if(!i2c_start())
		return 0;
		
	if(i2c_select_write(ucDevice))
	{
		if(i2c_write(ucAddr, 2))
		{
			if(i2c_start())
			{
				if(i2c_select_read(ucDevice))
				{
					if(i2c_read(ucData, ucLen))
					{
						iRetVal = 1;
					}
				}
			}
		}
	}
	
	i2c_stop();
	
	return iRetVal;
}

int ee_write(BYTE ucDevice, BYTE* ucAddr, BYTE* ucData, BYTE ucLen)
{
	int iRetVal = 0;
	
	if(!i2c_start())
		return 0;

	if(i2c_select_write(ucDevice))
	{
		if(i2c_write(ucAddr, 2))
		{
			if(i2c_write(ucData, ucLen))
			{
				iRetVal = 1;
			}
		}
	}
	
	i2c_stop();
	
	return iRetVal;	
}
