/*! \file misc.c \brief Dodatkowe funkcje */
/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include "harddef.h"
#include <util/delay.h>
#include "misc.h"
#include "control.h"
#include "rs.h"

void wyswietl_pomoc(void)
{
	printf_P(PSTR("\r\nRobot "SOFTWARE_VERSION"\r\nAutor: Michal Slomkowski"
	" m.slomkowski@interia.pl, www.flylab.glt.pl\r\nSterowanie:\r\n"));
	rs_put(B_PRZOD);
	printf_P(PSTR(" - do przodu\r\n"));
	rs_put(B_TYL);
	printf_P(PSTR(" - do tylu\r\n"));
	rs_put(B_LEWO);
	printf_P(PSTR(" - w lewo\r\n"));
	rs_put(B_PRAWO);
	printf_P(PSTR(" - w prawo\r\n"));
	rs_put(B_STOP);
	printf_P(PSTR(" - stop\r\n\r\n"));
	rs_put(B_LED_ON);
	printf_P(PSTR(" - wlacz swiatla, "));
	rs_put(B_LED_OFF);
	printf_P(PSTR(" - wylacz swiatla\r\n"));
	rs_put(B_TEMP);
	printf_P(PSTR(" - odczyt z czujnika temperatury\r\n"));
	rs_put(B_SWIATLO);
	printf_P(PSTR(" - odczyt z czujnikow swiatla\r\n"));
	rs_put(B_POMOC);
	printf_P(PSTR(" - wyswietla to info\r\n\r\n"));
}

void buzzer_short(void)
{
	sbi(PORTD, PD5);
	_delay_ms(50);
	cbi(PORTD, PD5);
}

void buzzer_long(void)
{
	sbi(PORTD, PD5);
	_delay_ms(254);
	_delay_ms(254);
	cbi(PORTD, PD5);
}
