/*
 *	naped.c
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */ 

#include <avr/io.h>
#include "naped.h"

/* Inicjacja portow sterownika silnika*/
void naped_init(void)
{
	DDRC |= 1<<PC2 | 1<<PC3;
	DDRD |= 1<<PD6 | 1<<PD7;
	DDRB |= 1<<PB0;
}

void naped_przod(void)
{
	PORTD |= 1<<PD6 | 1<<PD7;
	PORTB |= 1<<PB0;
	PORTC &= ~(1<<PC2);
}

void naped_tyl(void)  //do tylu
{
	PORTD |= 1<<PD7;
	PORTD &= ~(1<<PD6);
	PORTB |= 1<<PB0;
	PORTC |= 1<<PC2;
}

void naped_lewo(void) // w lewo
{
	PORTD |= 1<<PD6 | 1<<PD7;
	PORTB |= 1<<PB0;
	PORTC |= 1<<PC2;
}

void naped_prawo(void) // w prawo
{
	PORTD &= ~(1<<PD6);
	PORTD |= 1<<PD7;
	PORTB |= 1<<PB0;
	PORTC &= ~(1<<PC2);
}

void naped_stop(void) //stop
{
	PORTD &= ~(1<<PD6) & ~(1<<PD7);
	PORTB &= ~(1<<PB0);
	PORTC &= ~(1<<PC2);
}


/* EOF */
