/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#include <avr/io.h>
#include "harddef.h"
#include "rs.h"

void rs_init(int baud)
{
	// inicjacja portu szeregowego
	RS_SET_BAUD(baud);
	UCSRC = 1<<URSEL | 1<<UCSZ1 | 1<<UCSZ0;
	UCSRB = 1<<RXEN | 1<<TXEN;
	UCSRA = 0;
}

int rs_put(char znak)
{
	while(!(1<<UDRE & UCSRA));
	UDR = znak;
	return 0;
}

int rs_get(void)
{
	while (!(1<<RXC & UCSRA));
	return UDR;
}
