/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#ifndef _RS_H_
#define _RS_H_

#define RS_MAKE_UBRR(baud) (F_CPU/(baud*16l)-1)
#define RS_SET_BAUD(baud) \
	{UBRRH = (uint8_t)(RS_MAKE_UBRR(baud)>>8); \
	UBRRL =  (uint8_t)RS_MAKE_UBRR(baud); }

void rs_init(int baud);
int rs_put(char znak);
int rs_get(void);

/* Funkcja zewnetrzna, w main.c */
extern void rc5_sterowanie(void);

#endif
